// -------------------------------------------------------------------------------------------------
// xsDialogoFuente.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsDialogoFuente_hpp__
#define __xsDialogoFuente_hpp__

Clase xsDialogoFuente : Publica xsObjeto
{
	Privada:
		        
        xsFuenteDescripcion *fuenteDescripcion;
        xsCadena fuenteNombre;

	Publica:

	    xsDialogoFuente();

		Vacio crear(xsCadena      titulo, 
		            xsVentanaGUI* padre);

	    xsDialogoFuente(xsCadena      titulo, 
		                xsVentanaGUI* padre);
    
		Vacio ejecutar();

        xsCadena obtenerNombreFuente();

        xsFuenteDescripcion* obtenerFuenteDescripcion();

		Vacio centrar(xsObjetoGUI* ventanaPadre);
};

// Fin de la Definición del Archivo
#endif
